from setuptools import setup, find_packages

setup(
    name='ab_testing_module',
    version='3.1.7',
    packages=find_packages(),
    description='The AB Testing Module is a comprehensive suite designed for analyzing and reporting A/B test experiments, featuring functions for statistical analysis, advanced modeling, and data visualization to transform experimental results into actionable insights.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='Kwadwo Daddy Nyame Owusu - Boakye',
    author_email='kwadwo.owusuboakye@outlook.com',
    url='https://github.com/knowusuboaky/ab_testing_module',
    install_requires=[
        'numpy>=1.18.5',
        'pandas>=1.0.5',
        'scipy>=1.5.0',
        'statsmodels>=0.11.1',
        'matplotlib>=3.2.2',
        'seaborn>=0.10.1',
        'plotly>=4.8.2',
        'scikit-learn>=0.23.1',
        'jinja2>=2.11.2'
    ],
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
    ],
    keywords=[
    'statistics',
    'data analysis',
    'A/B testing',
    'statistical modeling',
    'data visualization',
    'analysis toolbox',
    'experimental analysis',
    'hypothesis testing',
    'effect size',
    'power analysis',
    'data science',
    'machine learning',
    'plotly visualizations',
    'pandas data manipulation',
    'numpy calculations',
    'scipy statistics',
    'statsmodels regression',
    'matplotlib plotting',
    'seaborn charts',
    'data exploration',
    'quantitative analysis',
    'research tools',
    'analytical reporting',
    'decision support',
    'inferential statistics',
    'predictive modeling'
]
)
